## dzl-cairo dzl-cairo |

## Functions

cairo_region_t * | dzl_cairo_region_create_from_clip_extents ()
void | dzl_cairo_rounded_rectangle ()
gboolean | dzl_cairo_rectangle_x2 ()
gboolean | dzl_cairo_rectangle_y2 ()
gboolean | dzl_cairo_rectangle_center ()
gboolean | dzl_cairo_rectangle_middle ()
cairo_bool_t | dzl_cairo_rectangle_contains_rectangle ()

## Description

## Functions

### dzl_cairo_region_create_from_clip_extents ()

    cairo_region_t *
    dzl_cairo_region_create_from_clip_extents
                                   (cairo_t *cr);

### dzl_cairo_rounded_rectangle ()

    void
    dzl_cairo_rounded_rectangle (cairo_t *cr,
                                 const GdkRectangle *rect,
                                 gint x_radius,
                                 gint y_radius);

### dzl_cairo_rectangle_x2 ()

    gboolean
    dzl_cairo_rectangle_x2 (const cairo_rectangle_int_t *rect);

### dzl_cairo_rectangle_y2 ()

    gboolean
    dzl_cairo_rectangle_y2 (const cairo_rectangle_int_t *rect);

### dzl_cairo_rectangle_center ()

    gboolean
    dzl_cairo_rectangle_center (const cairo_rectangle_int_t *rect);

### dzl_cairo_rectangle_middle ()

    gboolean
    dzl_cairo_rectangle_middle (const cairo_rectangle_int_t *rect);

### dzl_cairo_rectangle_contains_rectangle ()

    cairo_bool_t
    dzl_cairo_rectangle_contains_rectangle
                                   (const cairo_rectangle_int_t *a,
                                    const cairo_rectangle_int_t *b);

## Types and Values